#!/bin/sh
#----------------------------------------------------------------------------------
# rtspoverhttpd -- stop  rtspoverhttp Management services.
#----------------------------------------------------------------------------------

BIN_PATH="/opt/nss/bin/rtsphttprxd"

[ -f $BIN_PATH ] || exit 0

RETVAL=0

# See how we were called.
case "$1" in
  stop)
	echo -n "Stopping Rtsp Over Http Service Daemon: "

	RTSP_RX_PROC=`/sbin/pidof rtsphttprxd`
	RTSP_TX_PROC=`/sbin/pidof rtsphttptxd`
	
	while [ -n "$RTSP_RX_PROC" ]
	do
		kill -SIGUSR2 $RTSP_TX_PROC $RTSP_RX_PROC 
		
		/bin/sleep 1
		RTSP_RX_PROC=`/sbin/pidof rtsphttprxd`
		RTSP_TX_PROC=`/sbin/pidof rtsphttptxd`
	done

	if [ ! -e /tmp/rtsphttprxd ]; then
		RETVAL=0
		echo "[  OK  ]"
	else
		RETVAL=-1
		echo "[FAILED]"
	fi

	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/rtsphttprxd /var/lock/subsys/rtsphttptxd
	;;
  *)
	echo "Usage: rtspoverhttpd.sh {stop}"
	exit 1
esac

exit $REVAL
